export declare const flattenTokens: (token: any) => {};
export declare const convertTheme: (theme?: any) => any;
type GenericTheme<A, B, C, D> = {
    components: A;
    aliases: B;
    tokens: C;
    plugins: D;
};
export type GSNativeBaseExtendedTheme<Conf> = Conf extends GenericTheme<infer A, infer C, infer D, infer E> ? GenericTheme<A, C, D, E> : any;
type Head<T> = T extends [infer I, ...infer _Rest] ? I : never;
type Tail<T> = T extends [infer _I, ...infer Rest] ? Rest : never;
type Zip_DeepMergeTwoTypes<T, U> = T extends [] ? U : U extends [] ? T : [
    DeepMergeTwoTypes<Head<T>, Head<U>>,
    ...Zip_DeepMergeTwoTypes<Tail<T>, Tail<U>>
];
/**
 * Take two objects T and U and create the new one with uniq keys for T a U objectI
 * helper generic for `DeepMergeTwoTypes`
 */
type GetObjDifferentKeys<T, U, T0 = Omit<T, keyof U> & Omit<U, keyof T>, T1 = {
    [K in keyof T0]: T0[K];
}> = T1;
/**
 * Take two objects T and U and create the new one with the same objects keys
 * helper generic for `DeepMergeTwoTypes`
 */
type GetObjSameKeys<T, U> = Omit<T | U, keyof GetObjDifferentKeys<T, U>>;
type MergeTwoObjects<T, U, T0 = Partial<GetObjDifferentKeys<T, U>> & {
    [K in keyof GetObjSameKeys<T, U>]: DeepMergeTwoTypes<T[K], U[K]>;
}, T1 = {
    [K in keyof T0]: T0[K];
}> = T1;
export type DeepMergeTwoTypes<T, U> = [
    T,
    U
] extends [any[], any[]] ? Zip_DeepMergeTwoTypes<T, U> : [
    T,
    U
] extends [{
    [key: string]: unknown;
}, {
    [key: string]: unknown;
}] ? MergeTwoObjects<T, U> : T | U;
export declare function extendTheme<Theme>(tempTheme: Theme): ("components" extends keyof Theme ? {
    readonly aliases?: {
        readonly bg: "backgroundColor";
        readonly bgColor: "backgroundColor";
        readonly h: "height";
        readonly w: "width";
        readonly p: "padding";
        readonly px: "paddingHorizontal";
        readonly py: "paddingVertical";
        readonly pt: "paddingTop";
        readonly pb: "paddingBottom";
        readonly pr: "paddingRight";
        readonly pl: "paddingLeft";
        readonly m: "margin";
        readonly mx: "marginHorizontal";
        readonly my: "marginVertical";
        readonly mt: "marginTop";
        readonly mb: "marginBottom";
        readonly mr: "marginRight";
        readonly ml: "marginLeft";
        readonly minH: "minHeight";
        readonly minW: "minWidth";
        readonly maxH: "maxHeight";
        readonly maxW: "maxWidth";
        readonly rounded: "borderRadius";
        readonly space: "gap";
        readonly roundedTop: any;
        readonly roundedBottom: any;
        readonly roundedRight: any;
        readonly roundedLeft: any;
        readonly borderTopRadius: any;
        readonly borderBottomRadius: any;
        readonly borderRightRadius: any;
        readonly borderLeftRadius: any;
    } | undefined;
    readonly globalStyle?: {
        readonly variants: {
            readonly shadow: {
                readonly none: {
                    readonly shadowColor: "transparent";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 0;
                    };
                    readonly shadowOpacity: 0;
                    readonly shadowRadius: 0;
                    readonly elevation: 0;
                };
                readonly '0': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 1;
                    };
                    readonly shadowOpacity: 0.18;
                    readonly shadowRadius: 1;
                    readonly elevation: 1;
                };
                readonly '1': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 1;
                    };
                    readonly shadowOpacity: 0.2;
                    readonly shadowRadius: 1.41;
                    readonly elevation: 2;
                };
                readonly '2': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 1;
                    };
                    readonly shadowOpacity: 0.22;
                    readonly shadowRadius: 2.22;
                    readonly elevation: 3;
                };
                readonly '3': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 2;
                    };
                    readonly shadowOpacity: 0.23;
                    readonly shadowRadius: 2.62;
                    readonly elevation: 4;
                };
                readonly '4': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 2;
                    };
                    readonly shadowOpacity: 0.25;
                    readonly shadowRadius: 3.84;
                    readonly elevation: 5;
                };
                readonly '5': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 3;
                    };
                    readonly shadowOpacity: 0.27;
                    readonly shadowRadius: 4.65;
                    readonly elevation: 6;
                };
                readonly '6': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 3;
                    };
                    readonly shadowOpacity: 0.29;
                    readonly shadowRadius: 4.65;
                    readonly elevation: 7;
                };
                readonly '7': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 4;
                    };
                    readonly shadowOpacity: 0.3;
                    readonly shadowRadius: 4.65;
                    readonly elevation: 8;
                };
                readonly '8': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 4;
                    };
                    readonly shadowOpacity: 0.32;
                    readonly shadowRadius: 5.46;
                    readonly elevation: 9;
                };
                readonly '9': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 5;
                    };
                    readonly shadowOpacity: 0.34;
                    readonly shadowRadius: 6.27;
                    readonly elevation: 10;
                };
            };
            readonly hardShadow: {
                readonly '1': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: -2;
                        readonly height: 2;
                    };
                    readonly shadowRadius: 8;
                    readonly shadowOpacity: 0.5;
                    readonly elevation: 10;
                };
                readonly '2': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 3;
                    };
                    readonly shadowRadius: 8;
                    readonly shadowOpacity: 0.5;
                    readonly elevation: 10;
                };
                readonly '3': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 2;
                        readonly height: 2;
                    };
                    readonly shadowRadius: 8;
                    readonly shadowOpacity: 0.5;
                    readonly elevation: 10;
                };
                readonly '4': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: -3;
                    };
                    readonly shadowRadius: 8;
                    readonly shadowOpacity: 0.5;
                    readonly elevation: 10;
                };
                readonly '5': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 3;
                    };
                    readonly shadowRadius: 8;
                    readonly shadowOpacity: 0.2;
                    readonly elevation: 10;
                };
            };
            readonly softShadow: {
                readonly '1': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 0;
                    };
                    readonly shadowRadius: 10;
                    readonly shadowOpacity: 0.1;
                    readonly _android: {
                        readonly shadowColor: "$light.500";
                        readonly elevation: 5;
                        readonly shadowOpacity: 0.05;
                    };
                };
                readonly '2': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 0;
                    };
                    readonly shadowRadius: 20;
                    readonly elevation: 3;
                    readonly shadowOpacity: 0.1;
                    readonly _android: {
                        readonly shadowColor: "$light.500";
                        readonly elevation: 10;
                        readonly shadowOpacity: 0.1;
                    };
                };
                readonly '3': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 0;
                    };
                    readonly shadowRadius: 30;
                    readonly shadowOpacity: 0.1;
                    readonly elevation: 4;
                    readonly _android: {
                        readonly shadowColor: "$light.500";
                        readonly elevation: 15;
                        readonly shadowOpacity: 0.15;
                    };
                };
                readonly '4': {
                    readonly shadowColor: "$light.900";
                    readonly shadowOffset: {
                        readonly width: 0;
                        readonly height: 0;
                    };
                    readonly shadowRadius: 40;
                    readonly shadowOpacity: 0.1;
                    readonly elevation: 10;
                    readonly _android: {
                        readonly shadowColor: "$light.500";
                        readonly elevation: 20;
                        readonly shadowOpacity: 0.2;
                    };
                };
            };
        };
    } | undefined;
    readonly plugins?: readonly [] | undefined;
    readonly propertyResolver?: {
        readonly backgroundColor: typeof import("./NBsupport").resolveAlphaColors;
        readonly color: typeof import("./NBsupport").resolveAlphaColors;
        readonly borderColor: typeof import("./NBsupport").resolveAlphaColors;
    } | undefined;
    readonly components?: {} | undefined;
    readonly tokens: DeepMergeTwoTypes<{
        readonly colors: {
            readonly 'rose.50': "#fff1f2";
            readonly 'rose.100': "#ffe4e6";
            readonly 'rose.200': "#fecdd3";
            readonly 'rose.300': "#fda4af";
            readonly 'rose.300.alpha0.1': "#fda4af1a";
            readonly 'rose.400': "#fb7185";
            readonly 'rose.400.alpha0.2': "#fb718533";
            readonly 'rose.500': "#f43f5e";
            readonly 'rose.500.alpha0.1': "#f43f5e1a";
            readonly 'rose.500.alpha0.2': "#f43f5e33";
            readonly 'rose.600': "#e11d48";
            readonly 'rose.600.alpha0.1': "#e11d481a";
            readonly 'rose.600.alpha0.2': "#e11d4833";
            readonly 'rose.600.alpha0.4': "#e11d4866";
            readonly 'rose.700': "#be123c";
            readonly 'rose.700.alpha0.4': "#be123c66";
            readonly 'rose.800': "#9f1239";
            readonly 'rose.900': "#881337";
            readonly 'pink.50': "#fdf2f8";
            readonly 'pink.100': "#fce7f3";
            readonly 'pink.200': "#fbcfe8";
            readonly 'pink.300': "#f9a8d4";
            readonly 'pink.300.alpha0.1': "#f9a8d41a";
            readonly 'pink.400': "#f472b6";
            readonly 'pink.400.alpha0.2': "#f472b633";
            readonly 'pink.500': "#ec4899";
            readonly 'pink.500.alpha0.1': "#ec48991a";
            readonly 'pink.500.alpha0.2': "#ec489933";
            readonly 'pink.600': "#db2777";
            readonly 'pink.600.alpha0.1': "#db27771a";
            readonly 'pink.600.alpha0.2': "#db277733";
            readonly 'pink.600.alpha0.4': "#db277766";
            readonly 'pink.700': "#be185d";
            readonly 'pink.700.alpha0.4': "#be185d66";
            readonly 'pink.800': "#9d174d";
            readonly 'pink.900': "#831843";
            readonly 'fuchsia.50': "#fdf4ff";
            readonly 'fuchsia.100': "#fae8ff";
            readonly 'fuchsia.200': "#f5d0fe";
            readonly 'fuchsia.300': "#f0abfc";
            readonly 'fuchsia.300.alpha0.1': "#f0abfc1a";
            readonly 'fuchsia.400': "#e879f9";
            readonly 'fuchsia.400.alpha0.2': "#e879f933";
            readonly 'fuchsia.500': "#d946ef";
            readonly 'fuchsia.500.alpha0.1': "#d946ef1a";
            readonly 'fuchsia.500.alpha0.2': "#d946ef33";
            readonly 'fuchsia.600': "#c026d3";
            readonly 'fuchsia.600.alpha0.1': "#c026d31a";
            readonly 'fuchsia.600.alpha0.2': "#c026d333";
            readonly 'fuchsia.600.alpha0.4': "#c026d366";
            readonly 'fuchsia.700': "#a21caf";
            readonly 'fuchsia.700.alpha0.4': "#a21caf66";
            readonly 'fuchsia.800': "#86198f";
            readonly 'fuchsia.900': "#701a75";
            readonly 'purple.50': "#faf5ff";
            readonly 'purple.100': "#f3e8ff";
            readonly 'purple.200': "#e9d5ff";
            readonly 'purple.300': "#d8b4fe";
            readonly 'purple.300.alpha0.1': "#d8b4fe1a";
            readonly 'purple.400': "#c084fc";
            readonly 'purple.400.alpha0.2': "#c084fc33";
            readonly 'purple.500': "#a855f7";
            readonly 'purple.500.alpha0.1': "#a855f71a";
            readonly 'purple.500.alpha0.2': "#a855f733";
            readonly 'purple.600': "#9333ea";
            readonly 'purple.600.alpha0.1': "#9333ea1a";
            readonly 'purple.600.alpha0.2': "#9333ea33";
            readonly 'purple.600.alpha0.4': "#9333ea66";
            readonly 'purple.700': "#7e22ce";
            readonly 'purple.700.alpha0.4': "#7e22ce66";
            readonly 'purple.800': "#6b21a8";
            readonly 'purple.900': "#581c87";
            readonly 'violet.50': "#f5f3ff";
            readonly 'violet.100': "#ede9fe";
            readonly 'violet.200': "#ddd6fe";
            readonly 'violet.300': "#c4b5fd";
            readonly 'violet.300.alpha0.1': "#c4b5fd1a";
            readonly 'violet.400': "#a78bfa";
            readonly 'violet.400.alpha0.2': "#a78bfa33";
            readonly 'violet.500': "#8b5cf6";
            readonly 'violet.500.alpha0.1': "#8b5cf61a";
            readonly 'violet.500.alpha0.2': "#8b5cf633";
            readonly 'violet.600': "#7c3aed";
            readonly 'violet.600.alpha0.1': "#7c3aed1a";
            readonly 'violet.600.alpha0.2': "#7c3aed33";
            readonly 'violet.600.alpha0.4': "#7c3aed66";
            readonly 'violet.700': "#6d28d9";
            readonly 'violet.700.alpha0.4': "#6d28d966";
            readonly 'violet.800': "#5b21b6";
            readonly 'violet.900': "#4c1d95";
            readonly 'indigo.50': "#eef2ff";
            readonly 'indigo.100': "#e0e7ff";
            readonly 'indigo.200': "#c7d2fe";
            readonly 'indigo.300': "#a5b4fc";
            readonly 'indigo.300.alpha0.1': "#a5b4fc1a";
            readonly 'indigo.400': "#818cf8";
            readonly 'indigo.400.alpha0.2': "#818cf833";
            readonly 'indigo.500': "#6366f1";
            readonly 'indigo.500.alpha0.1': "#6366f11a";
            readonly 'indigo.500.alpha0.2': "#6366f133";
            readonly 'indigo.600': "#4f46e5";
            readonly 'indigo.600.alpha0.1': "#4f46e51a";
            readonly 'indigo.600.alpha0.2': "#4f46e533";
            readonly 'indigo.600.alpha0.4': "#4f46e566";
            readonly 'indigo.700': "#4338ca";
            readonly 'indigo.700.alpha0.4': "#4338ca66";
            readonly 'indigo.800': "#3730a3";
            readonly 'indigo.900': "#312e81";
            readonly 'blue.50': "#eff6ff";
            readonly 'blue.100': "#dbeafe";
            readonly 'blue.200': "#bfdbfe";
            readonly 'blue.300': "#93c5fd";
            readonly 'blue.300.alpha0.1': "#93c5fd1a";
            readonly 'blue.400': "#60a5fa";
            readonly 'blue.400.alpha0.2': "#60a5fa33";
            readonly 'blue.500': "#3b82f6";
            readonly 'blue.500.alpha0.1': "#3b82f61a";
            readonly 'blue.500.alpha0.2': "#3b82f633";
            readonly 'blue.600': "#2563eb";
            readonly 'blue.600.alpha0.1': "#2563eb1a";
            readonly 'blue.600.alpha0.2': "#2563eb33";
            readonly 'blue.600.alpha0.4': "#2563eb66";
            readonly 'blue.700': "#1d4ed8";
            readonly 'blue.700.alpha0.4': "#1d4ed866";
            readonly 'blue.800': "#1e40af";
            readonly 'blue.900': "#1e3a8a";
            readonly 'lightBlue.50': "#f0f9ff";
            readonly 'lightBlue.100': "#e0f2fe";
            readonly 'lightBlue.200': "#bae6fd";
            readonly 'lightBlue.300': "#7dd3fc";
            readonly 'lightBlue.300.alpha0.1': "#7dd3fc1a";
            readonly 'lightBlue.400': "#38bdf8";
            readonly 'lightBlue.400.alpha0.2': "#38bdf833";
            readonly 'lightBlue.500': "#0ea5e9";
            readonly 'lightBlue.500.alpha0.1': "#0ea5e91a";
            readonly 'lightBlue.500.alpha0.2': "#0ea5e933";
            readonly 'lightBlue.600': "#0284c7";
            readonly 'lightBlue.600.alpha0.1': "#0284c71a";
            readonly 'lightBlue.600.alpha0.2': "#0284c733";
            readonly 'lightBlue.600.alpha0.4': "#0284c766";
            readonly 'lightBlue.700': "#0369a1";
            readonly 'lightBlue.700.alpha0.4': "#0369a166";
            readonly 'lightBlue.800': "#075985";
            readonly 'lightBlue.900': "#0c4a6e";
            readonly 'darkBlue.50': "#dbf4ff";
            readonly 'darkBlue.100': "#addbff";
            readonly 'darkBlue.200': "#7cc2ff";
            readonly 'darkBlue.300': "#4aa9ff";
            readonly 'darkBlue.300.alpha0.1': "#4aa9ff1a";
            readonly 'darkBlue.400': "#1a91ff";
            readonly 'darkBlue.400.alpha0.2': "#1a91ff33";
            readonly 'darkBlue.500': "#0077e6";
            readonly 'darkBlue.500.alpha0.1': "#0077e61a";
            readonly 'darkBlue.500.alpha0.2': "#0077e633";
            readonly 'darkBlue.600': "#005db4";
            readonly 'darkBlue.600.alpha0.1': "#005db41a";
            readonly 'darkBlue.600.alpha0.2': "#005db433";
            readonly 'darkBlue.600.alpha0.4': "#005db466";
            readonly 'darkBlue.700': "#004282";
            readonly 'darkBlue.700.alpha0.4': "#00428266";
            readonly 'darkBlue.800': "#002851";
            readonly 'darkBlue.900': "#000e21";
            readonly 'cyan.50': "#ecfeff";
            readonly 'cyan.100': "#cffafe";
            readonly 'cyan.200': "#a5f3fc";
            readonly 'cyan.300': "#67e8f9";
            readonly 'cyan.300.alpha0.1': "#67e8f91a";
            readonly 'cyan.400': "#22d3ee";
            readonly 'cyan.400.alpha0.2': "#22d3ee33";
            readonly 'cyan.500': "#06b6d4";
            readonly 'cyan.500.alpha0.1': "#06b6d41a";
            readonly 'cyan.500.alpha0.2': "#06b6d433";
            readonly 'cyan.600': "#0891b2";
            readonly 'cyan.600.alpha0.1': "#0891b21a";
            readonly 'cyan.600.alpha0.2': "#0891b233";
            readonly 'cyan.600.alpha0.4': "#0891b266";
            readonly 'cyan.700': "#0e7490";
            readonly 'cyan.700.alpha0.4': "#0e749066";
            readonly 'cyan.800': "#155e75";
            readonly 'cyan.900': "#164e63";
            readonly 'teal.50': "#f0fdfa";
            readonly 'teal.100': "#ccfbf1";
            readonly 'teal.200': "#99f6e4";
            readonly 'teal.300': "#5eead4";
            readonly 'teal.300.alpha0.1': "#5eead41a";
            readonly 'teal.400': "#2dd4bf";
            readonly 'teal.400.alpha0.2': "#2dd4bf33";
            readonly 'teal.500': "#14b8a6";
            readonly 'teal.500.alpha0.1': "#14b8a61a";
            readonly 'teal.500.alpha0.2': "#14b8a633";
            readonly 'teal.600': "#0d9488";
            readonly 'teal.600.alpha0.1': "#0d94881a";
            readonly 'teal.600.alpha0.2': "#0d948833";
            readonly 'teal.600.alpha0.4': "#0d948866";
            readonly 'teal.700': "#0f766e";
            readonly 'teal.700.alpha0.4': "#0f766e66";
            readonly 'teal.800': "#115e59";
            readonly 'teal.900': "#134e4a";
            readonly 'emerald.50': "#ecfdf5";
            readonly 'emerald.100': "#d1fae5";
            readonly 'emerald.200': "#a7f3d0";
            readonly 'emerald.300': "#6ee7b7";
            readonly 'emerald.300.alpha0.1': "#6ee7b71a";
            readonly 'emerald.400': "#34d399";
            readonly 'emerald.400.alpha0.2': "#34d39933";
            readonly 'emerald.500': "#10b981";
            readonly 'emerald.500.alpha0.1': "#10b9811a";
            readonly 'emerald.500.alpha0.2': "#10b98133";
            readonly 'emerald.600': "#059669";
            readonly 'emerald.600.alpha0.1': "#0596691a";
            readonly 'emerald.600.alpha0.2': "#05966933";
            readonly 'emerald.600.alpha0.4': "#05966966";
            readonly 'emerald.700': "#047857";
            readonly 'emerald.700.alpha0.4': "#04785766";
            readonly 'emerald.800': "#065f46";
            readonly 'emerald.900': "#064e3b";
            readonly 'green.50': "#f0fdf4";
            readonly 'green.100': "#dcfce7";
            readonly 'green.200': "#bbf7d0";
            readonly 'green.300': "#86efac";
            readonly 'green.300.alpha0.1': "#86efac1a";
            readonly 'green.400': "#4ade80";
            readonly 'green.400.alpha0.2': "#4ade8033";
            readonly 'green.500': "#22c55e";
            readonly 'green.500.alpha0.1': "#22c55e1a";
            readonly 'green.500.alpha0.2': "#22c55e33";
            readonly 'green.600': "#16a34a";
            readonly 'green.600.alpha0.1': "#16a34a1a";
            readonly 'green.600.alpha0.2': "#16a34a33";
            readonly 'green.600.alpha0.4': "#16a34a66";
            readonly 'green.700': "#15803d";
            readonly 'green.700.alpha0.4': "#15803d66";
            readonly 'green.800': "#166534";
            readonly 'green.900': "#14532d";
            readonly 'lime.50': "#f7fee7";
            readonly 'lime.100': "#ecfccb";
            readonly 'lime.200': "#d9f99d";
            readonly 'lime.300': "#bef264";
            readonly 'lime.300.alpha0.1': "#bef2641a";
            readonly 'lime.400': "#a3e635";
            readonly 'lime.400.alpha0.2': "#a3e63533";
            readonly 'lime.500': "#84cc16";
            readonly 'lime.500.alpha0.1': "#84cc161a";
            readonly 'lime.500.alpha0.2': "#84cc1633";
            readonly 'lime.600': "#65a30d";
            readonly 'lime.600.alpha0.1': "#65a30d1a";
            readonly 'lime.600.alpha0.2': "#65a30d33";
            readonly 'lime.600.alpha0.4': "#65a30d66";
            readonly 'lime.700': "#4d7c0f";
            readonly 'lime.700.alpha0.4': "#4d7c0f66";
            readonly 'lime.800': "#3f6212";
            readonly 'lime.900': "#365314";
            readonly 'yellow.50': "#fefce8";
            readonly 'yellow.100': "#fef9c3";
            readonly 'yellow.200': "#fef08a";
            readonly 'yellow.300': "#fde047";
            readonly 'yellow.300.alpha0.1': "#fde0471a";
            readonly 'yellow.400': "#facc15";
            readonly 'yellow.400.alpha0.2': "#facc1533";
            readonly 'yellow.500': "#eab308";
            readonly 'yellow.500.alpha0.1': "#eab3081a";
            readonly 'yellow.500.alpha0.2': "#eab30833";
            readonly 'yellow.600': "#ca8a04";
            readonly 'yellow.600.alpha0.1': "#ca8a041a";
            readonly 'yellow.600.alpha0.2': "#ca8a0433";
            readonly 'yellow.600.alpha0.4': "#ca8a0466";
            readonly 'yellow.700': "#a16207";
            readonly 'yellow.700.alpha0.4': "#a1620766";
            readonly 'yellow.800': "#854d0e";
            readonly 'yellow.900': "#713f12";
            readonly 'amber.50': "#fffbeb";
            readonly 'amber.100': "#fef3c7";
            readonly 'amber.200': "#fde68a";
            readonly 'amber.300': "#fcd34d";
            readonly 'amber.300.alpha0.1': "#fcd34d1a";
            readonly 'amber.400': "#fbbf24";
            readonly 'amber.400.alpha0.2': "#fbbf2433";
            readonly 'amber.500': "#f59e0b";
            readonly 'amber.500.alpha0.1': "#f59e0b1a";
            readonly 'amber.500.alpha0.2': "#f59e0b33";
            readonly 'amber.600': "#d97706";
            readonly 'amber.600.alpha0.1': "#d977061a";
            readonly 'amber.600.alpha0.2': "#d9770633";
            readonly 'amber.600.alpha0.4': "#d9770666";
            readonly 'amber.700': "#b45309";
            readonly 'amber.700.alpha0.4': "#b4530966";
            readonly 'amber.800': "#92400e";
            readonly 'amber.900': "#78350f";
            readonly 'orange.50': "#fff7ed";
            readonly 'orange.100': "#ffedd5";
            readonly 'orange.200': "#fed7aa";
            readonly 'orange.300': "#fdba74";
            readonly 'orange.300.alpha0.1': "#fdba741a";
            readonly 'orange.400': "#fb923c";
            readonly 'orange.400.alpha0.2': "#fb923c33";
            readonly 'orange.500': "#f97316";
            readonly 'orange.500.alpha0.1': "#f973161a";
            readonly 'orange.500.alpha0.2': "#f9731633";
            readonly 'orange.600': "#ea580c";
            readonly 'orange.600.alpha0.1': "#ea580c1a";
            readonly 'orange.600.alpha0.2': "#ea580c33";
            readonly 'orange.600.alpha0.4': "#ea580c66";
            readonly 'orange.700': "#c2410c";
            readonly 'orange.700.alpha0.4': "#c2410c66";
            readonly 'orange.800': "#9a3412";
            readonly 'orange.900': "#7c2d12";
            readonly 'red.50': "#fef2f2";
            readonly 'red.100': "#fee2e2";
            readonly 'red.200': "#fecaca";
            readonly 'red.300': "#fca5a5";
            readonly 'red.300.alpha0.1': "#fca5a51a";
            readonly 'red.400': "#f87171";
            readonly 'red.400.alpha0.2': "#f8717133";
            readonly 'red.500': "#ef4444";
            readonly 'red.500.alpha0.1': "#ef44441a";
            readonly 'red.500.alpha0.2': "#ef444433";
            readonly 'red.600': "#dc2626";
            readonly 'red.600.alpha0.1': "#dc26261a";
            readonly 'red.600.alpha0.2': "#dc262633";
            readonly 'red.600.alpha0.4': "#dc262666";
            readonly 'red.700': "#b91c1c";
            readonly 'red.700.alpha0.4': "#b91c1c66";
            readonly 'red.800': "#991b1b";
            readonly 'red.900': "#7f1d1d";
            readonly 'warmGray.50': "#fafaf9";
            readonly 'warmGray.100': "#f5f5f4";
            readonly 'warmGray.200': "#e7e5e4";
            readonly 'warmGray.300': "#d6d3d1";
            readonly 'warmGray.300.alpha0.1': "#d6d3d11a";
            readonly 'warmGray.400': "#a8a29e";
            readonly 'warmGray.400.alpha0.2': "#a8a29e33";
            readonly 'warmGray.500': "#78716c";
            readonly 'warmGray.500.alpha0.1': "#78716c1a";
            readonly 'warmGray.500.alpha0.2': "#78716c33";
            readonly 'warmGray.600': "#57534e";
            readonly 'warmGray.600.alpha0.1': "#57534e1a";
            readonly 'warmGray.600.alpha0.2': "#57534e33";
            readonly 'warmGray.600.alpha0.4': "#57534e66";
            readonly 'warmGray.700': "#44403c";
            readonly 'warmGray.700.alpha0.4': "#44403c66";
            readonly 'warmGray.800': "#292524";
            readonly 'warmGray.900': "#1c1917";
            readonly 'trueGray.50': "#fafafa";
            readonly 'trueGray.100': "#f5f5f5";
            readonly 'trueGray.200': "#e5e5e5";
            readonly 'trueGray.300': "#d4d4d4";
            readonly 'trueGray.300.alpha0.1': "#d4d4d41a";
            readonly 'trueGray.400': "#a3a3a3";
            readonly 'trueGray.400.alpha0.2': "#a3a3a333";
            readonly 'trueGray.500': "#737373";
            readonly 'trueGray.500.alpha0.1': "#7373731a";
            readonly 'trueGray.500.alpha0.2': "#73737333";
            readonly 'trueGray.600': "#525252";
            readonly 'trueGray.600.alpha0.1': "#5252521a";
            readonly 'trueGray.600.alpha0.2': "#52525233";
            readonly 'trueGray.600.alpha0.4': "#52525266";
            readonly 'trueGray.700': "#404040";
            readonly 'trueGray.700.alpha0.4': "#40404066";
            readonly 'trueGray.800': "#262626";
            readonly 'trueGray.900': "#171717";
            readonly 'gray.50': "#fafafa";
            readonly 'gray.100': "#f4f4f5";
            readonly 'gray.200': "#e4e4e7";
            readonly 'gray.300': "#d4d4d8";
            readonly 'gray.300.alpha0.1': "#d4d4d81a";
            readonly 'gray.400': "#a1a1aa";
            readonly 'gray.400.alpha0.2': "#a1a1aa33";
            readonly 'gray.500': "#71717a";
            readonly 'gray.500.alpha0.1': "#71717a1a";
            readonly 'gray.500.alpha0.2': "#71717a33";
            readonly 'gray.600': "#52525b";
            readonly 'gray.600.alpha0.1': "#52525b1a";
            readonly 'gray.600.alpha0.2': "#52525b33";
            readonly 'gray.600.alpha0.4': "#52525b66";
            readonly 'gray.700': "#3f3f46";
            readonly 'gray.700.alpha0.4': "#3f3f4666";
            readonly 'gray.800': "#27272a";
            readonly 'gray.900': "#18181b";
            readonly 'coolGray.50': "#f9fafb";
            readonly 'coolGray.100': "#f3f4f6";
            readonly 'coolGray.200': "#e5e7eb";
            readonly 'coolGray.300': "#d1d5db";
            readonly 'coolGray.300.alpha0.1': "#d1d5db1a";
            readonly 'coolGray.400': "#9ca3af";
            readonly 'coolGray.400.alpha0.2': "#9ca3af33";
            readonly 'coolGray.500': "#6b7280";
            readonly 'coolGray.500.alpha0.1': "#6b72801a";
            readonly 'coolGray.500.alpha0.2': "#6b728033";
            readonly 'coolGray.600': "#4b5563";
            readonly 'coolGray.600.alpha0.1': "#4b55631a";
            readonly 'coolGray.600.alpha0.2': "#4b556333";
            readonly 'coolGray.600.alpha0.4': "#4b556366";
            readonly 'coolGray.700': "#374151";
            readonly 'coolGray.700.alpha0.4': "#37415166";
            readonly 'coolGray.800': "#1f2937";
            readonly 'coolGray.900': "#111827";
            readonly 'blueGray.50': "#f8fafc";
            readonly 'blueGray.100': "#f1f5f9";
            readonly 'blueGray.200': "#e2e8f0";
            readonly 'blueGray.300': "#cbd5e1";
            readonly 'blueGray.300.alpha0.1': "#cbd5e11a";
            readonly 'blueGray.400': "#94a3b8";
            readonly 'blueGray.400.alpha0.2': "#94a3b833";
            readonly 'blueGray.500': "#64748b";
            readonly 'blueGray.500.alpha0.1': "#64748b1a";
            readonly 'blueGray.500.alpha0.2': "#64748b33";
            readonly 'blueGray.600': "#475569";
            readonly 'blueGray.600.alpha0.1': "#4755691a";
            readonly 'blueGray.600.alpha0.2': "#47556933";
            readonly 'blueGray.600.alpha0.4': "#47556966";
            readonly 'blueGray.700': "#334155";
            readonly 'blueGray.700.alpha0.4': "#33415566";
            readonly 'blueGray.800': "#1e293b";
            readonly 'blueGray.900': "#0f172a";
            readonly 'dark.50': "#18181b";
            readonly 'dark.100': "#27272a";
            readonly 'dark.200': "#3f3f46";
            readonly 'dark.300': "#52525b";
            readonly 'dark.300.alpha0.1': "#52525b1a";
            readonly 'dark.400': "#71717a";
            readonly 'dark.400.alpha0.2': "#71717a33";
            readonly 'dark.500': "#a1a1aa";
            readonly 'dark.500.alpha0.1': "#a1a1aa1a";
            readonly 'dark.500.alpha0.2': "#a1a1aa33";
            readonly 'dark.600': "#d4d4d8";
            readonly 'dark.600.alpha0.1': "#d4d4d81a";
            readonly 'dark.600.alpha0.2': "#d4d4d833";
            readonly 'dark.600.alpha0.4': "#d4d4d866";
            readonly 'dark.700': "#e4e4e7";
            readonly 'dark.700.alpha0.4': "#e4e4e766";
            readonly 'dark.800': "#f4f4f5";
            readonly 'dark.900': "#fafafa";
            readonly 'text.50': "#fafafa";
            readonly 'text.100': "#f5f5f5";
            readonly 'text.200': "#e5e5e5";
            readonly 'text.300': "#d4d4d4";
            readonly 'text.300.alpha0.1': "#d4d4d41a";
            readonly 'text.400': "#a3a3a3";
            readonly 'text.400.alpha0.2': "#a3a3a333";
            readonly 'text.500': "#737373";
            readonly 'text.500.alpha0.1': "#7373731a";
            readonly 'text.500.alpha0.2': "#73737333";
            readonly 'text.600': "#525252";
            readonly 'text.600.alpha0.1': "#5252521a";
            readonly 'text.600.alpha0.2': "#52525233";
            readonly 'text.600.alpha0.4': "#52525266";
            readonly 'text.700': "#404040";
            readonly 'text.700.alpha0.4': "#40404066";
            readonly 'text.800': "#262626";
            readonly 'text.900': "#171717";
            readonly white: "#FFFFFF";
            readonly black: "#000000";
            readonly lightText: "#FFFFFF";
            readonly darkText: "#000000";
            readonly 'danger.50': "#fff1f2";
            readonly 'danger.100': "#ffe4e6";
            readonly 'danger.200': "#fecdd3";
            readonly 'danger.300': "#fda4af";
            readonly 'danger.300.alpha0.1': "#fda4af1a";
            readonly 'danger.400': "#fb7185";
            readonly 'danger.400.alpha0.2': "#fb718533";
            readonly 'danger.500': "#f43f5e";
            readonly 'danger.500.alpha0.1': "#f43f5e1a";
            readonly 'danger.500.alpha0.2': "#f43f5e33";
            readonly 'danger.600': "#e11d48";
            readonly 'danger.600.alpha0.1': "#e11d481a";
            readonly 'danger.600.alpha0.2': "#e11d4833";
            readonly 'danger.600.alpha0.4': "#e11d4866";
            readonly 'danger.700': "#be123c";
            readonly 'danger.700.alpha0.4': "#be123c66";
            readonly 'danger.800': "#9f1239";
            readonly 'danger.900': "#881337";
            readonly 'error.50': "#fef2f2";
            readonly 'error.100': "#fee2e2";
            readonly 'error.200': "#fecaca";
            readonly 'error.300': "#fca5a5";
            readonly 'error.300.alpha0.1': "#fca5a51a";
            readonly 'error.400': "#f87171";
            readonly 'error.400.alpha0.2': "#f8717133";
            readonly 'error.500': "#ef4444";
            readonly 'error.500.alpha0.1': "#ef44441a";
            readonly 'error.500.alpha0.2': "#ef444433";
            readonly 'error.600': "#dc2626";
            readonly 'error.600.alpha0.1': "#dc26261a";
            readonly 'error.600.alpha0.2': "#dc262633";
            readonly 'error.600.alpha0.4': "#dc262666";
            readonly 'error.700': "#b91c1c";
            readonly 'error.700.alpha0.4': "#b91c1c66";
            readonly 'error.800': "#991b1b";
            readonly 'error.900': "#7f1d1d";
            readonly 'success.50': "#f0fdf4";
            readonly 'success.100': "#dcfce7";
            readonly 'success.200': "#bbf7d0";
            readonly 'success.300': "#86efac";
            readonly 'success.300.alpha0.1': "#86efac1a";
            readonly 'success.400': "#4ade80";
            readonly 'success.400.alpha0.2': "#4ade8033";
            readonly 'success.500': "#22c55e";
            readonly 'success.500.alpha0.1': "#22c55e1a";
            readonly 'success.500.alpha0.2': "#22c55e33";
            readonly 'success.600': "#16a34a";
            readonly 'success.600.alpha0.1': "#16a34a1a";
            readonly 'success.600.alpha0.2': "#16a34a33";
            readonly 'success.600.alpha0.4': "#16a34a66";
            readonly 'success.700': "#15803d";
            readonly 'success.700.alpha0.4': "#15803d66";
            readonly 'success.800': "#166534";
            readonly 'success.900': "#14532d";
            readonly 'warning.50': "#fff7ed";
            readonly 'warning.100': "#ffedd5";
            readonly 'warning.200': "#fed7aa";
            readonly 'warning.300': "#fdba74";
            readonly 'warning.300.alpha0.1': "#fdba741a";
            readonly 'warning.400': "#fb923c";
            readonly 'warning.400.alpha0.2': "#fb923c33";
            readonly 'warning.500': "#f97316";
            readonly 'warning.500.alpha0.1': "#f973161a";
            readonly 'warning.500.alpha0.2': "#f9731633";
            readonly 'warning.600': "#ea580c";
            readonly 'warning.600.alpha0.1': "#ea580c1a";
            readonly 'warning.600.alpha0.2': "#ea580c33";
            readonly 'warning.600.alpha0.4': "#ea580c66";
            readonly 'warning.700': "#c2410c";
            readonly 'warning.700.alpha0.4': "#c2410c66";
            readonly 'warning.800': "#9a3412";
            readonly 'warning.900': "#7c2d12";
            readonly 'muted.50': "#fafafa";
            readonly 'muted.100': "#f5f5f5";
            readonly 'muted.200': "#e5e5e5";
            readonly 'muted.300': "#d4d4d4";
            readonly 'muted.300.alpha0.1': "#d4d4d41a";
            readonly 'muted.400': "#a3a3a3";
            readonly 'muted.400.alpha0.2': "#a3a3a333";
            readonly 'muted.500': "#737373";
            readonly 'muted.500.alpha0.1': "#7373731a";
            readonly 'muted.500.alpha0.2': "#73737333";
            readonly 'muted.600': "#525252";
            readonly 'muted.600.alpha0.1': "#5252521a";
            readonly 'muted.600.alpha0.2': "#52525233";
            readonly 'muted.600.alpha0.4': "#52525266";
            readonly 'muted.700': "#404040";
            readonly 'muted.700.alpha0.4': "#40404066";
            readonly 'muted.800': "#262626";
            readonly 'muted.900': "#171717";
            readonly 'primary.50': "#ecfeff";
            readonly 'primary.100': "#cffafe";
            readonly 'primary.200': "#a5f3fc";
            readonly 'primary.300': "#67e8f9";
            readonly 'primary.300.alpha0.1': "#67e8f91a";
            readonly 'primary.400': "#22d3ee";
            readonly 'primary.400.alpha0.2': "#22d3ee33";
            readonly 'primary.500': "#06b6d4";
            readonly 'primary.500.alpha0.1': "#06b6d41a";
            readonly 'primary.500.alpha0.2': "#06b6d433";
            readonly 'primary.600': "#0891b2";
            readonly 'primary.600.alpha0.1': "#0891b21a";
            readonly 'primary.600.alpha0.2': "#0891b233";
            readonly 'primary.600.alpha0.4': "#0891b266";
            readonly 'primary.700': "#0e7490";
            readonly 'primary.700.alpha0.4': "#0e749066";
            readonly 'primary.800': "#155e75";
            readonly 'primary.900': "#164e63";
            readonly 'info.50': "#f0f9ff";
            readonly 'info.100': "#e0f2fe";
            readonly 'info.200': "#bae6fd";
            readonly 'info.300': "#7dd3fc";
            readonly 'info.300.alpha0.1': "#7dd3fc1a";
            readonly 'info.400': "#38bdf8";
            readonly 'info.400.alpha0.2': "#38bdf833";
            readonly 'info.500': "#0ea5e9";
            readonly 'info.500.alpha0.1': "#0ea5e91a";
            readonly 'info.500.alpha0.2': "#0ea5e933";
            readonly 'info.600': "#0284c7";
            readonly 'info.600.alpha0.1': "#0284c71a";
            readonly 'info.600.alpha0.2': "#0284c733";
            readonly 'info.600.alpha0.4': "#0284c766";
            readonly 'info.700': "#0369a1";
            readonly 'info.700.alpha0.4': "#0369a166";
            readonly 'info.800': "#075985";
            readonly 'info.900': "#0c4a6e";
            readonly 'secondary.50': "#fdf2f8";
            readonly 'secondary.100': "#fce7f3";
            readonly 'secondary.200': "#fbcfe8";
            readonly 'secondary.300': "#f9a8d4";
            readonly 'secondary.300.alpha0.1': "#f9a8d41a";
            readonly 'secondary.400': "#f472b6";
            readonly 'secondary.400.alpha0.2': "#f472b633";
            readonly 'secondary.500': "#ec4899";
            readonly 'secondary.500.alpha0.1': "#ec48991a";
            readonly 'secondary.500.alpha0.2': "#ec489933";
            readonly 'secondary.600': "#db2777";
            readonly 'secondary.600.alpha0.1': "#db27771a";
            readonly 'secondary.600.alpha0.2': "#db277733";
            readonly 'secondary.600.alpha0.4': "#db277766";
            readonly 'secondary.700': "#be185d";
            readonly 'secondary.700.alpha0.4': "#be185d66";
            readonly 'secondary.800': "#9d174d";
            readonly 'secondary.900': "#831843";
            readonly 'light.50': "#fafaf9";
            readonly 'light.100': "#f5f5f4";
            readonly 'light.200': "#e7e5e4";
            readonly 'light.300': "#d6d3d1";
            readonly 'light.300.alpha0.1': "#d6d3d11a";
            readonly 'light.400': "#a8a29e";
            readonly 'light.400.alpha0.2': "#a8a29e33";
            readonly 'light.500': "#78716c";
            readonly 'light.500.alpha0.1': "#78716c1a";
            readonly 'light.500.alpha0.2': "#78716c33";
            readonly 'light.600': "#57534e";
            readonly 'light.600.alpha0.1': "#57534e1a";
            readonly 'light.600.alpha0.2': "#57534e33";
            readonly 'light.600.alpha0.4': "#57534e66";
            readonly 'light.700': "#44403c";
            readonly 'light.700.alpha0.4': "#44403c66";
            readonly 'light.800': "#292524";
            readonly 'light.900': "#1c1917";
            readonly 'tertiary.50': "#ecfdf5";
            readonly 'tertiary.100': "#d1fae5";
            readonly 'tertiary.200': "#a7f3d0";
            readonly 'tertiary.300': "#6ee7b7";
            readonly 'tertiary.300.alpha0.1': "#6ee7b71a";
            readonly 'tertiary.400': "#34d399";
            readonly 'tertiary.400.alpha0.2': "#34d39933";
            readonly 'tertiary.500': "#10b981";
            readonly 'tertiary.500.alpha0.1': "#10b9811a";
            readonly 'tertiary.500.alpha0.2': "#10b98133";
            readonly 'tertiary.600': "#059669";
            readonly 'tertiary.600.alpha0.1': "#0596691a";
            readonly 'tertiary.600.alpha0.2': "#05966933";
            readonly 'tertiary.600.alpha0.4': "#05966966";
            readonly 'tertiary.700': "#047857";
            readonly 'tertiary.700.alpha0.4': "#04785766";
            readonly 'tertiary.800': "#065f46";
            readonly 'tertiary.900': "#064e3b";
            readonly 'textLight.0': "#FCFCFC";
            readonly 'textLight.50': "#F5F5F5";
            readonly 'textLight.100': "#E5E5E5";
            readonly 'textLight.200': "#DBDBDB";
            readonly 'textLight.300': "#D4D4D4";
            readonly 'textLight.400': "#A3A3A3";
            readonly 'textLight.500': "#8C8C8C";
            readonly 'textLight.600': "#737373";
            readonly 'textLight.600.alpha0.1': "#7373731a";
            readonly 'textLight.600.alpha0.2': "#73737333";
            readonly 'textLight.600.alpha0.4': "#73737366";
            readonly 'textLight.700': "#525252";
            readonly 'textLight.700.alpha0.4': "#52525266";
            readonly 'textLight.800': "#404040";
            readonly 'textLight.900': "#262626";
            readonly 'textLight.950': "#171717";
            readonly 'textDark.0': "#FCFCFC";
            readonly 'textDark.50': "#F5F5F5";
            readonly 'textDark.100': "#E5E5E5";
            readonly 'textDark.200': "#DBDBDB";
            readonly 'textDark.300': "#D4D4D4";
            readonly 'textDark.400': "#A3A3A3";
            readonly 'textDark.500': "#8C8C8C";
            readonly 'textDark.600': "#737373";
            readonly 'textDark.600.alpha0.1': "#7373731a";
            readonly 'textDark.600.alpha0.2': "#73737333";
            readonly 'textDark.600.alpha0.4': "#73737366";
            readonly 'textDark.700': "#525252";
            readonly 'textDark.700.alpha0.4': "#52525266";
            readonly 'textDark.800': "#404040";
            readonly 'textDark.900': "#262626";
            readonly 'textDark.950': "#171717";
            readonly 'borderDark.0': "#FCFCFC";
            readonly 'borderDark.50': "#F5F5F5";
            readonly 'borderDark.100': "#E5E5E5";
            readonly 'borderDark.200': "#DBDBDB";
            readonly 'borderDark.300': "#D4D4D4";
            readonly 'borderDark.400': "#A3A3A3";
            readonly 'borderDark.500': "#8C8C8C";
            readonly 'borderDark.600': "#737373";
            readonly 'borderDark.600.alpha0.1': "#7373731a";
            readonly 'borderDark.600.alpha0.2': "#73737333";
            readonly 'borderDark.600.alpha0.4': "#73737366";
            readonly 'borderDark.700': "#525252";
            readonly 'borderDark.700.alpha0.4': "#52525266";
            readonly 'borderDark.800': "#404040";
            readonly 'borderDark.900': "#262626";
            readonly 'borderDark.950': "#171717";
            readonly 'borderLight.0': "#FCFCFC";
            readonly 'borderLight.50': "#F5F5F5";
            readonly 'borderLight.100': "#E5E5E5";
            readonly 'borderLight.200': "#DBDBDB";
            readonly 'borderLight.300': "#D4D4D4";
            readonly 'borderLight.400': "#A3A3A3";
            readonly 'borderLight.500': "#8C8C8C";
            readonly 'borderLight.600': "#737373";
            readonly 'borderLight.600.alpha0.1': "#7373731a";
            readonly 'borderLight.600.alpha0.2': "#73737333";
            readonly 'borderLight.600.alpha0.4': "#73737366";
            readonly 'borderLight.700': "#525252";
            readonly 'borderLight.700.alpha0.4': "#52525266";
            readonly 'borderLight.800': "#404040";
            readonly 'borderLight.900': "#262626";
            readonly 'borderLight.950': "#171717";
            readonly 'backgroundDark.0': "#FCFCFC";
            readonly 'backgroundDark.50': "#F5F5F5";
            readonly 'backgroundDark.100': "#F1F1F1";
            readonly 'backgroundDark.200': "#DBDBDB";
            readonly 'backgroundDark.300': "#D4D4D4";
            readonly 'backgroundDark.400': "#A3A3A3";
            readonly 'backgroundDark.500': "#8C8C8C";
            readonly 'backgroundDark.600': "#737373";
            readonly 'backgroundDark.600.alpha0.1': "#7373731a";
            readonly 'backgroundDark.600.alpha0.2': "#73737333";
            readonly 'backgroundDark.600.alpha0.4': "#73737366";
            readonly 'backgroundDark.700': "#525252";
            readonly 'backgroundDark.700.alpha0.4': "#52525266";
            readonly 'backgroundDark.800': "#404040";
            readonly 'backgroundDark.900': "#262626";
            readonly 'backgroundDark.950': "#171717";
            readonly 'backgroundLight.0': "#FCFCFC";
            readonly 'backgroundLight.50': "#F5F5F5";
            readonly 'backgroundLight.100': "#F1F1F1";
            readonly 'backgroundLight.200': "#DBDBDB";
            readonly 'backgroundLight.300': "#D4D4D4";
            readonly 'backgroundLight.400': "#A3A3A3";
            readonly 'backgroundLight.500': "#8C8C8C";
            readonly 'backgroundLight.600': "#737373";
            readonly 'backgroundLight.600.alpha0.1': "#7373731a";
            readonly 'backgroundLight.600.alpha0.2': "#73737333";
            readonly 'backgroundLight.600.alpha0.4': "#73737366";
            readonly 'backgroundLight.700': "#525252";
            readonly 'backgroundLight.700.alpha0.4': "#52525266";
            readonly 'backgroundLight.800': "#404040";
            readonly 'backgroundLight.900': "#262626";
            readonly 'backgroundLight.950': "#171717";
            readonly 'backgroundLight.Error': "#FEF1F1";
            readonly 'backgroundDark.Error': "#422B2B";
            readonly 'backgroundLight.Warning': "#FFF4EB";
            readonly 'backgroundDark.Warning': "#412F23";
            readonly 'backgroundLight.Success': "#EDFCF2";
            readonly 'backgroundDark.Success': "#1C2B21";
            readonly 'backgroundLight.Info': "#EBF8FE";
            readonly 'backgroundDark.Info': "#1A282E";
            readonly 'backgroundLight.Muted': "#F6F6F7";
            readonly 'backgroundDark.Muted': "#252526";
        };
        readonly space: {
            readonly px: "1px";
            readonly '0': 0;
            readonly '0.5': 2;
            readonly '1': 4;
            readonly '1.5': 6;
            readonly '2': 8;
            readonly '2.5': 10;
            readonly '3': 12;
            readonly '3.5': 14;
            readonly '4': 16;
            readonly '5': 20;
            readonly '6': 24;
            readonly '7': 28;
            readonly '8': 32;
            readonly '9': 36;
            readonly '10': 40;
            readonly '12': 48;
            readonly '16': 64;
            readonly '20': 80;
            readonly '24': 96;
            readonly '32': 128;
            readonly '40': 160;
            readonly '48': 192;
            readonly '56': 224;
            readonly '64': 256;
            readonly '72': 288;
            readonly '80': 320;
            readonly '96': 384;
            readonly '1/2': "50%";
            readonly '1/3': "33.333%";
            readonly '2/3': "66.666%";
            readonly '1/4': "25%";
            readonly '2/4': "50%";
            readonly '3/4': "75%";
            readonly '1/5': "20%";
            readonly '2/5': "40%";
            readonly '3/5': "60%";
            readonly '4/5': "80%";
            readonly '1/6': "16.666%";
            readonly '2/6': "33.333%";
            readonly '3/6': "50%";
            readonly '4/6': "66.666%";
            readonly '5/6': "83.333%";
            readonly full: "100%";
            readonly '3xs': 0.25;
            readonly '2xs': 0.5;
            readonly xs: 1;
            readonly sm: 2;
            readonly md: 3;
            readonly lg: 4;
            readonly xl: 6;
            readonly '2xl': 7;
        };
        readonly borderWidths: {
            readonly '0': 0;
            readonly '1': 1;
            readonly '2': 2;
            readonly '4': 4;
            readonly '8': 8;
        };
        readonly radii: {
            readonly none: 0;
            readonly xs: 2;
            readonly sm: 4;
            readonly md: 6;
            readonly lg: 8;
            readonly xl: 12;
            readonly '2xl': 16;
            readonly '3xl': 24;
            readonly full: 9999;
        };
        readonly breakpoints: {
            readonly base: 0;
            readonly sm: 480;
            readonly md: 768;
            readonly lg: 992;
            readonly xl: 1280;
            readonly '2xl': 1536;
        };
        readonly mediaQueries: {
            readonly base: "@media screen and (min-width: 0)";
            readonly xs: "@media screen and (min-width: 400px)";
            readonly sm: "@media screen and (min-width: 480px)";
            readonly md: "@media screen and (min-width: 768px)";
            readonly lg: "@media screen and (min-width: 992px)";
            readonly xl: "@media screen and (min-width: 1280px)";
            readonly '2xl': "@media screen and (min-width: 1536px)";
        };
        readonly letterSpacings: {
            readonly xs: -0.4;
            readonly sm: -0.2;
            readonly md: 0;
            readonly lg: 0.2;
            readonly xl: 0.4;
            readonly '2xl': 1.6;
        };
        readonly lineHeights: {
            readonly '2xs': 16;
            readonly xs: 18;
            readonly sm: 20;
            readonly md: 22;
            readonly lg: 24;
            readonly xl: 28;
            readonly '2xl': 32;
            readonly '3xl': 40;
            readonly '4xl': 48;
            readonly '5xl': 56;
            readonly '6xl': 72;
            readonly '7xl': 90;
        };
        readonly fontWeights: {
            readonly hairline: "100";
            readonly thin: "200";
            readonly light: "300";
            readonly normal: "400";
            readonly medium: "500";
            readonly semibold: "600";
            readonly bold: "700";
            readonly extrabold: "800";
            readonly black: "900";
            readonly extraBlack: "950";
        };
        readonly fonts: {
            readonly heading: undefined;
            readonly body: undefined;
            readonly mono: undefined;
        };
        readonly fontSizes: {
            readonly '2xs': 10;
            readonly xs: 12;
            readonly sm: 14;
            readonly md: 16;
            readonly lg: 18;
            readonly xl: 20;
            readonly '2xl': 24;
            readonly '3xl': 30;
            readonly '4xl': 36;
            readonly '5xl': 48;
            readonly '6xl': 60;
            readonly '7xl': 72;
            readonly '8xl': 96;
            readonly '9xl': 128;
        };
        readonly opacity: {
            readonly 0: 0;
            readonly 5: 0.05;
            readonly 10: 0.1;
            readonly 20: 0.2;
            readonly 25: 0.25;
            readonly 30: 0.3;
            readonly 40: 0.4;
            readonly 50: 0.5;
            readonly 60: 0.6;
            readonly 70: 0.7;
            readonly 75: 0.75;
            readonly 80: 0.8;
            readonly 90: 0.9;
            readonly 95: 0.95;
            readonly 100: 1;
        };
    }, Omit<Theme, "components" | "config">>;
} & {
    components: { [Key in keyof Theme["components"]]: {
        theme: "variants" extends keyof Theme["components"][Key] ? "sizes" extends keyof Theme["components"][Key] ? Omit<Theme["components"][Key], keyof Theme["components"][Key]["variants"] | keyof Theme["components"][Key]["sizes"]> & {
            variants: {
                variant: Theme["components"][Key]["variants"];
                size: Theme["components"][Key]["sizes"];
            };
        } : Omit<Theme["components"][Key], keyof Theme["components"][Key]["variants"]> & {
            variants: {
                variant: Theme["components"][Key]["variants"];
            };
        } : "sizes" extends keyof Theme["components"][Key] ? Omit<Theme["components"][Key], keyof Theme["components"][Key]["sizes"]> & {
            variants: {
                sizes: Theme["components"][Key]["sizes"];
            };
        } : Theme["components"][Key];
    }; };
} : {}) | undefined;
export {};
